<html xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
>
<f:layout name="General.html"/>

<!--
	=====================
		News/Detail.html
-->
<f:section name="content">
    <f:if condition="{newsItem}">
        <f:then>
            <n:format.nothing>
                <f:if condition="{newsItem.alternativeTitle}">
                    <f:then>
                        <n:titleTag>
                            <f:format.htmlentitiesDecode>{newsItem.alternativeTitle}</f:format.htmlentitiesDecode>
                        </n:titleTag>
                    </f:then>
                    <f:else>
                        <n:titleTag>
                            <f:format.htmlentitiesDecode>{newsItem.title}</f:format.htmlentitiesDecode>
                        </n:titleTag>
                    </f:else>
                </f:if>
                <f:render partial="Detail/Opengraph" arguments="{newsItem: newsItem, settings:settings}"/>
            </n:format.nothing>

            <header class="c-article__header o-section__header">
                <h2>
                    <f:format.raw>{newsItem.title}</f:format.raw>
                </h2>
            </header>
            <div class="c-page-body__column c-page-body__column--main">
                <p class="c-article__meta">
                    <v:variable.set name="eventStartDay" value="{f:format.date(date:newsItem.datetime, format:'j')}" />
                    <v:variable.set name="eventEndDay" value="{f:format.date(date:newsItem.datetimeEnd, format:'j')}" />
                    <f:if condition="{newsItem.isEvent}">
                        <f:then>
                            <f:format.date format="{f:format.date(date:newsItem.datetime, format:'d.m.y H:i')}">{newsItem.datetime}</f:format.date>
                            -
                            <f:if condition="{eventEndDay} > {eventStartDay}">
                                <f:then>
                                    <v:variable.set name="eventEnd" value="{f:format.date(date:newsItem.datetimeEnd, format:'d.m.y H:i')}" />
                                </f:then>
                                <f:else>
                                    <v:variable.set name="eventEnd" value="{f:format.date(date:newsItem.datetimeEnd, format:'H:i')}" />
                                </f:else>
                            </f:if>
                            {eventEnd}
                        </f:then>
                        <f:else>
                            <f:format.date format="{f:format.date(date:newsItem.datetime, format:'d.m.y')}">{newsItem.datetime}</f:format.date>
                        </f:else>
                    </f:if>

                </p>

                <f:if condition="{newsItem.teaser}">
                    <div class="o-textblock">
                        <p><strong>
                            <f:format.htmlspecialchars>{newsItem.teaser}</f:format.htmlspecialchars>
                        </strong></p>
                    </div>
                </f:if>

                <f:if condition="{newsItem.falMedia ->f:count()} > 1">
                    <f:then>
                        <f:comment>Mehr als 2 Bilder -> Sliderversion</f:comment>
                        <div class="o-media o-media--stacked   js-lightbox-gallery">

                            <f:if condition="{newsItem.frsCalltoaction}">
                                <f:cObject typoscriptObjectPath="lib.calltoaction.contentElementRendering" data="{newsItem.frsCalltoaction}">
                                    {newsItem.frsCalltoaction}
                                </f:cObject>
                            </f:if>

                            <div class="o-media__body">
                                <f:format.html>{v:format.trim(content:'{newsItem.bodytext}')}</f:format.html>
                            </div>
                            <f:render partial="Detail/FalMediaContainer"
                                      arguments="{media: newsItem.falMedia, settings:settings}"/>
                        </div>
                    </f:then>
                    <f:else>
                        <div class="o-media o-media--left   js-lightbox-gallery">
                            <f:render partial="Detail/FalMediaContainer"
                                      arguments="{media: newsItem.falMedia, settings:settings}"/>

                            <f:if condition="{newsItem.frsCalltoaction}">
                                <f:cObject typoscriptObjectPath="lib.calltoaction.contentElementRendering" data="{newsItem.frsCalltoaction}">
                                    {newsItem.frsCalltoaction}
                                </f:cObject>
                            </f:if>

                            <div class="o-media__body">
                                <f:format.html>{v:format.trim(content:'{newsItem.bodytext}')}</f:format.html>
                            </div>
                        </div>
                    </f:else>
                </f:if>
                <f:if condition="{newsItem.contentElements}">
                    <!-- content elements -->
                    <f:cObject typoscriptObjectPath="lib.tx_news.contentElementRendering">
                        {newsItem.contentElementIdList}
                    </f:cObject>
                </f:if>
            </div>

            <aside class="c-page-body__column c-page-body__column--aside">

                <f:if condition="{settings.detail.showSocialShareButtons}">
                    <f:render partial="Detail/SocialMedia" section="content" arguments="{_all}"/>
                </f:if>

                <!-- related things -->
                <div class="o-cms-content">

                    <f:if condition="{newsItem.allRelatedSorted}">
                        <f:render partial="Detail/NewsRelated" arguments="{_all}" section="content"/>
                    </f:if>

                    <f:if condition="{newsItem.falRelatedFiles}">
                        <!-- FAL related files -->
                        <div class="news-related news-related-files">
                            <h4>
                                <f:translate key="related-files" />
                            </h4>
                            <ul>
                                <f:for each="{newsItem.falRelatedFiles}" as="relatedFile">
                                    <li>
                                        <span class="news-related-files-link">
                                                <a href="{relatedFile.originalResource.publicUrl -> f:format.htmlspecialchars()}" target="_blank">
                                                        {f:if(condition:relatedFile.originalResource.title, then:relatedFile.originalResource.title, else:relatedFile.originalResource.name)}
                                                </a>
                                        </span>
                                        <span class="news-related-files-size">
                                                {relatedFile.originalResource.size -> f:format.bytes()}
                                        </span>
                                    </li>
                                </f:for>
                            </ul>
                        </div>
                    </f:if>

                    <f:if condition="{newsItem.relatedLinks}">
                        <!-- Related links -->
                        <div class="news-related news-related-links">
                            <h4>
                                <f:translate key="related-links"/>
                            </h4>
                            <ul>
                                <f:for each="{newsItem.relatedLinks}" as="relatedLink">
                                    <li>
                                        <f:link.typolink parameter="{relatedLink.uri}" title="{relatedLink.title}"
                                                     target="{n:targetLink(link:relatedLink.uri)}">{f:if(condition:
                                            relatedLink.title, then: relatedLink.title, else: relatedLink.uri)}
                                        </f:link.typolink>
                                        <f:if condition="{relatedLink.description}">
                                            <span>{relatedLink.description}</span></f:if>
                                    </li>
                                </f:for>
                            </ul>
                        </div>
                    </f:if>
                </div>

            </aside>

            <div class="o-section__footer">
                <f:if condition="{settings.backPid}">
                    <!-- Link Back -->
                    <div class="news-backlink-wrap">
                        <f:link.typolink parameter="{settings.backPid}">
                            <f:translate key="back-link"/>
                        </f:link.typolink>
                    </div>
                </f:if>
            </div>

        </f:then>
        <f:else>

        </f:else>
    </f:if>
</f:section>
